Summary:   Quick & easy monitoring of logfiles and devices
Name:      xlogmaster
Version:   1.6.0
Release:   1
URL:       http:/www.gnu.org/software/xlogmaster/
Source:    ftp://ftp.gnu.org/xlogmaster/%{name}-%{version}.tar.gz
Copyright: GPL
Group:     Utilities/System
Prereq:    /sbin/install-info
Requires:  gtk+ >= 1.2.1
BuildRoot: /tmp/%{name}-%{version}-root

%description
The Xlogmaster is a program that allows easy and flexible monitoring of
all logfiles and devices that allow being read via cat (like the /proc
devices). It allows you to set a lot of events based on certain activities
in the monitored logfiles/devices and should prove very helpful for almost
anyone.

%prep
%setup -q

%build
CPPFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=/usr/X11R6 \
            --with-xlogmaster-home=/etc/xlogmaster \
            --with-xlogmaster-db=/usr/lib/xlogmaster/database \
            --with-xlogmaster-lib=/usr/lib/xlogmaster
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr/X11R6 \
     infodir=$RPM_BUILD_ROOT/usr/info \
     XLM_DB=$RPM_BUILD_ROOT/usr/lib/xlogmaster/database \
     XLM_HOME=$RPM_BUILD_ROOT/etc/xlogmaster \
     XLM_LIB=$RPM_BUILD_ROOT/usr/lib/xlogmaster \
     install-strip

gzip -9nf $RPM_BUILD_ROOT/usr/info/xlogmaster.info

%post
/sbin/install-info /usr/info/xlogmaster.info.gz /usr/info/dir

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete /usr/info/xlogmaster.info.gz /usr/info/dir
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog NEWS README TODO
%dir /etc/xlogmaster
%config /etc/xlogmaster/*
/usr/info/*info*
/usr/lib/xlogmaster
/usr/X11R6/bin/*
%attr(-,root,man) /usr/X11R6/man/man1/*

%changelog
* Fri Apr 02 1999 Arne Coucheron <arneco@online.no>
  [1.6.0-1]
- corrected source url
- requires GTK+ >= 1.2.1
- sound, script and database files moved to /usr/lib/xlogmaster
- strip the binary

* Wed Aug 26 1998 Arne Coucheron <arneco@online.no>
  [1.4.3-1]
- installing the info file

* Mon Aug 17 1998 Arne Coucheron <arneco@online.no>
  [1.4.2-1]

* Mon Jul 27 1998 Arne Coucheron <arneco@online.no>
  [1.4.1-1]
- first release